Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class AllocateWorkItem

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.AllocateWorkItem

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class AllocateWorkItem

extends java.lang.Object
implements OSAction<VoidResult>

Allocate the specified Work Item to a particular Resource.

The ToDoListItem is retrieved by calling `GetToDoList`

Returns no result, throws an ActionException if the call fails.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`AllocateWorkItem(java.util.Set<ManagedId> items, java.lang.String userId)` Constructs a new AllocateWorkItem Action

Method Summary
`java.util.Set<ManagedId>` | `getItem()` `ManagedId` to allocate.
`java.lang.String` | `getUserId()` This is the ID ( GUID ) for the user to allocate to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllocateWorkItem

    public AllocateWorkItem(java.util.Set<ManagedId> items,
                            java.lang.String userId)

  Constructs a new AllocateWorkItem Action

  Parameters:
    `item` - `ManagedId` to allocate.
    `userId` - This is the ID ( GUID ) for the user to allocate to. A list of users can be retrieved by calling `OpenOrgModel` or `RunResourceQuery`

Method Detail

### getItem

    public java.util.Set<ManagedId> getItem()

  `ManagedId` to allocate.

  Returns:
    Returns the item.

### getUserId

    public java.lang.String getUserId()

  This is the ID ( GUID ) for the user to allocate to. A list of users can be retrieved by calling `OpenOrgModel` or `RunResourceQuery`

  Returns:
    Returns the userId.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.